QGIS Application - Bug report #4134

trying to connect to a non-spatialite sqlite db makes the mouse pointer into an hourglass

2011-08-02 07:14 PM - Alister Hood

Status: Closed
Priority: Low
Assignee:

Category: GUI

Affected QGIS version:
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: worksforme

Copied to github as #: 14114

Description

Click "Layer->Add spatialite layer->New", select an sqlite database which is not a spatialite database (e.g. ~/.qgis/qgis.db), and click

"Connect".
You will get an error message:

Failure exploring tables from: C:/Documents and Settings/alister.hood/.qgis/rasterCatalog.sqlite

no such table: geometry_columns

The mouse cursor will now be changed to an hourglass, and the only way you can fix it seems to be to restart QGIS.

I am using trunk on Win XP if that makes a difference.

History

#1 - 2011-08-03 09:32 AM - Goyo D

I am using trunk on Win XP if that makes a difference.

It doesn't. The same on Ubuntu Natty, QGis trunk from qgis repo.

#2 - 2011-12-09 09:51 AM - Alexander Bruy
- Resolution set to worksforme

- Status changed from Open to Closed

Seems this fixed now in trunk. Reopen if necessary
